<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Aufgabenpakete verwalten</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/line-awesome/css/line-awesome.min.css?v=[cs_version]">    
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/datatables.net-dt/css/jquery.dataTables.min.css?v=[cs_version]" >
    <link rel="stylesheet" href="/style-global/lib/datatables.net-responsive-dt/css/responsive.dataTables.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/select2/css/select2.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}

    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/taskmanager-custom.css">
    
</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}  
<div id="contentwrapper" style="display:none;" class="az-body">

<div class="az-header">
    <div class="container">
        <div class="az-header-left">
            <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
            <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="CS:Aufgaben">Taskmanager</span></a>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
              <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
              <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
        </div><!-- az-header-menu -->
        <div class="az-header-right">
            <div data-permission="frontend.taskmanager" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                    <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
            </div>
            {% include 'snippets/header-apps-menu.tpl' %}
            {% include 'snippets/header-profile-menu.tpl' %}
        </div><!-- az-header-right -->
    </div><!-- container -->
</div><!-- az-header -->

<div class="az-content az-content-mail">
    <div class="container">
        <div class="az-content-left az-content-left-mail  az-content-left-components">
            <div class="az-content-header">
                <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                <a href="" id="azContentLeftHide" class="az-header-arrow">
                    <i class="icon ion-md-arrow-forward d-sm-none"></i>
                    <i class="icon ion-md-close d-none d-sm-block"></i>
                </a>
            </div><!-- az-content-header -->
            {% include 'snippets/content-left-taskmanager-settings-nav.tpl' %}
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
            <div class="az-content-breadcrumb">
                
                <span data-i18n="CS:Aufgaben">Taskmanager</span>
                <span data-i18n="Settings">Einstellungen</span>
                <span data-i18n="Template Groups">Aufgabenpakete</span>

            </div>
            <div class="d-flex justify-content-between ">
                <h2 class="az-content-title" data-i18n="template group title" id="page-title">Manage Task groups from Template Groups</h2>
            </div>

            <p class="mg-b-20 az-content-description" data-i18n="template group intro" id="page-intro">Hier können Sie neue Pakete von Aufgabenvorlagen definieren oder bestehende bearbeiten. Verwenden Sie diese Pakete, um Aufgabeneinträge aus diesen Vorlagengruppen zu automatisieren oder bei Bedarf zu erstellen.
            </p>
            
                    <!-- list view start  -->
                    <div class="card-body" id="list-view" >
                        <!-- list header start -->
                        <div class="pb-4 mb-4 border-bottom row">
                            <div class="col-12 pl-0 d-flex justify-content-end">
                                <button class="btn btn-indigo btn-with-icon no-wrap pd-9 pd-sm-20"
                                id="new_group_button"><i class="typcn typcn-plus-outline tx-18"></i> <span data-i18n="new package button" class="d-none d-sm-block">new group</span></button>
                            </div>
                        </div>

                        <!-- header -->
                        <!-- content body start -->
                        <div class="tab-pane fade show active">
                    
                            <!-- list start -->
                            <div class="row pt-3">
                                <div class="col az-content-label az-content-label-sm" data-i18n="name table">group NAME
                                </div>
                                <!-- <div class="col-3 az-content-label az-content-label-sm d-none d-sm-block" data-i18n="repeat table">RECURRING
                                </div> -->
                                <div class="col-4">
                                </div>
                            </div>
                            <div id="settings-list-container">
                                <ul id="groups_element_list" class="settings-element-list pl-0">
                                    <!-- list generated from snippet here -->
                                   
                                </ul>
                            </div>

                        </div>
                        <!-- content body -->
                    </div>
                    <!-- list view  -->


                    <!-- detail view start -->
                    <div class="card-body pd-0" id="detail-view" style="display:none;">
                        <div class="pt-4">
                            <div class="row mg-b-40">
                                <div class="col">
                                    <div class="pd-20 bg-light">
                                        <div class="d-sm-flex row">
                                            <div class="col-sm-6 mg-b-0">
                                                <div class="form-group mg-b-0">
                                                    <label class="form-label"><span data-i18n="group name">group name:</span> <span class="tx-danger">*</span></label>
                                                    <input id="group_name" type="text" class="form-control "  required="">
                                                    <span role="alert" id="group_nameError" class="error" aria-hidden="true" data-i18n="Please enter a name for your group.">Bitte geben sie einen Namen für das Paket an.
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 mt-3 mt-sm-0 mb-0">
                                                <label class="form-label"><span data-i18n="repeat execution of group">Terminierung für Ausführung von das Paket:</span> </label>
                                                <div>
                                                    <span class="font-weight-bold" id="temp_edit_schedule">Keine Terminierung</span>
                                                    <button class="btn btn-indigo-white ml-2 mb-2 mb-sm-2" id="edit_schedule_icon_button"> <span data-i18n="Edit Alt">bearbeiten  &gt;</span></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- col -->
                            </div><!-- row -->

                            <div class="row row-sm mg-b-20">
                                <div class="col-md-6">
                
                                    <h6 class="card-title">Vorlagen auswählen von Liste: 
                                    </h6>
                                    <!-- dropdown for list-->
                
                                    <select class="form-control" id="task-list-select"><option value="22bee3d3-24f6-4968-94cb-301bc21c62a5">Room Service</option><option value="a0d78e2f-677f-440c-a393-35de312066e3">Hospitality</option><option value="a4388948-c70f-46dd-a150-73c54c13a042">Zimmerservice</option><option value="ad9d538b-00e5-4235-b373-3bbaba1df0e2">Maintenance</option></select>
                
                                    <!-- list of templates to select displayed here -->

                                    <div id="check-list-template-container" class="mb-3 mt-3" style="max-height: 200px; overflow: auto;" >
                                        <ul id="check-list-template" class="list-group">
                                           <!--  generate list here -->
                                        </ul>
                                    </div>
                
                                </div><!-- col-6 -->
                                <div class="col-md-6 mg-t-20 mg-md-t-0">
                                    <h6 class="card-title">Aufgabenpaket Vorlagen Auswahl:  
                                    </h6>
                
                                    <!-- Overview of selection -->
                                    <div class="az-profile-name-text  mg-b-10">
                                        <ul id="overview_list" class="list-group checked-list-box">
                                            <!-- template list will be generated here -->
                                        </ul>
                                    </div>
                
                                </div><!-- col-6 -->
                            </div>
                        </div>

                        <p id="error-msg"></p>
                        <div class="pt-4 mt-4 border-top row">
                            <div class="col-12 pt-2 pt-md-0 d-flex  justify-content-end">
                                <button class="btn btn-outline-light btn-with-icon no-wrap ml-2 mb-2 mb-sm-0"
                    id="cancel_group_button"><i class="typcn typcn-times-outline tx-18 pr-1"></i> <span data-i18n="Cancel">Cancel</span></button>
                    <button class="btn btn-indigo  btn-with-icon no-wrap ml-2 mb-2 mb-sm-0"
                    id="save_group_button" ><i class="typcn typcn-tick-outline tx-18 pr-1"></i> <span data-i18n="Save">Save Changes</span></button> 
                    
                            </div>
                        </div>
                    </div>
                    <!-- detail view -->
            
        </div><!-- az-content-body -->
    </div><!-- container -->
</div><!-- az-content -->

{% include 'snippets/footer.tpl' %}
<!-- az-footer -->

</div> <!--content wrapper  -->

<!-- content snippet for creating list -->
<div id="group_item" style="display: None;">
    <li data-selector="list-entry" class="settings-element tickets-card row" id="[{group_id}]">
        <div class="col"> [{group-name-value}]
        </div>
        <!-- <div class="col-3 d-none d-sm-block"> [{group-repeat-value}]
        </div> -->
        <div class="col-12 col-sm-4 btn-icon-list justify-content-end">
            <button class="btn btn-indigo btn-with-icon no-wrap pd-9" data-selector="btn-group-run" data-run-id="[{group_id}]"
                > <i class="typcn typcn-media-fast-forward-outline"></i><span data-i18n="run group button" class="d-none d-sm-block">Execute</span></button>
            <button class="btn btn-indigo btn-icon" data-selector="btn-group-edit"
                data-edit-id="[{group_id}]"><i class="typcn typcn-edit mg-l-2"></i></button>
            <button class="btn btn-outline-indigo btn-icon" data-selector="btn-group-delete"
                data-delete-id="[{group_id}]"><i class="typcn typcn-trash"></i></button>
        </div>
    </li>
</div>
<!--content snippet for template list item in detail view-->
<div id="template_item" style="display: None;">
    <li data-entry-id="[{template_id}]" class="list-group-item">
        <label><input id="[{template_id}]" data-entry-name="[{template_name}]" type="checkbox" class="rule-check-box">
            <span class="ml-2 tx-dark checkbox-role-list force-wrap">[{template_name}]
            </span>
        </label>
    </li>
</div>

<!--content snippet for overview heading-->
<div id="overview_header" style="display: None;">
    <li data-overview-header-id="[{queue_id}]" class="bg-light list-group-item border-horizontal list-group-header d-flex align-items-center pt-0">
        <div class=" az-profile-name-text force-wrap">[{queue_name}]
        </div>
    </li>
</div>
<!--content snippet for overview entry-->
<div id="overview_entry" style="display: None;">
    <li data-overview-entry-id="[{template_id}]" class="list-group-item border-horizontal d-flex align-items-center pt-0">
        <div data-overview-entry-id="[{template_id}]"><button data-selector="btn-template-delete" data-delete-id="[{template_id}]" class="text-muted btn btn-with-icon ml-1 pd-0"><i class="typcn typcn-times"></i></button></div>
        <div class=" az-profile-name-text force-wrap">[{template_name}]
        </div>
    </li>
</div>

<!--modal for group schedule " -->

<div id="modal-schedule" class="modal fade show" style="display: none;" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-scrollable" role="document" id="modal-schedule-content">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Pakete Ausführung terminieren</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <h6>Wählen Sie eine Zeit mit oder ohne Intervall aus, um dieses Paket automatisch auszuführen.</h6>
                <div class="mt-4">
                    <label class="form-label">Automatisierten Ausführung: </label>
                    <div>
                        <fieldset id="date-fieldset">
                             <label for="no_end" class="rdiobox">
                                <input type="radio" name="end" id="no_end" value="no" checked="">
                                <span>Keine/Pausieren</span>
                            </label>

                            <div class="d-flex align-items-center bg-light">
                                <label for="yes_end" class="rdiobox pr-3">
                                    <input type="radio" name="end" id="yes_end" value="yes" onchange="if(this.checked) { 
                                        $('#start_date').removeAttr('disabled');
                                        } else { 
                                        $('#start_date').attr('disabled','disabled') 
                                    };">
                                    <span>Am</span>
                                </label>
                                    <input class="form-control w-50 form-control-transparent" placeholder="Datum eingeben" id="start_date" type="datetime-local"
                                    disabled="">
                                    <span role="alert" id="group_dateError" class="error" aria-hidden="true" data-i18n="Please enter a valid date.">Bitte geben sie ein gültiges Datum an.
                                    </span> 
                            </div>
                        </fieldset>
                            <div id="reminder_data_set_template" class="bg-light">
                                    <div data-reminder-id="placeholder" class="d-flex align-items-center justify-content-start pd-l-30">
                                        <span class=" pd-r-20">Wiederholen jeden/alle </span>
                                        <div class="px-0" data-reminder-container="time_amount">
                                            <input id="scheduling-interval-value" type="number" name="reminder-time" min="0" class="form-control form-control-transparent" style="width: 70px;"/>
                                        </div>
                                        <div class="px-0" data-reminder-container="time_unit_select">
                                            <select id="scheduling-interval-unit" name="reminder-time-diff-units" class="form-control form-control-transparent">
                                                <option value="default"selected="selected">Kein Intervall</option>
                                                <option value="minutes">Minuten</option>
                                                <option value="hours">Stunden</option>
                                                <option value="days">Tage</option>
                                                <option value="weeks">Wochen</option>
                                            </select>
                                        </div>

                                    </div>
                            </div>
                    </div>
                </div>
                <div class="mt-4">
                    <p id="modal-error-msg"></p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-indigo" id="save_schedule_button">Auswahl übernehmen</button>
                <button type="button" class="btn btn-outline-light" data-dismiss="modal" id="cancel_schedule_button">Schließen</button>
            </div>
        </div>
    </div>
</div>


  {% include 'snippets/help-modal-taskmanager.tpl' %}

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/datatables.net/js/jquery.dataTables.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/select2/js/select2.min.js?v=[cs_version]"></script>
<script src="/style-global/js/azia.js?v=[cs_version]"></script>
<script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/quill/quill.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/moment/moment.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/introjs/intro.min.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    import {pbI18n} from "../csf-lib/pb-i18n.js?v=[cs_version]";
   
    new pbBrain().boot("task-manager-template-group-settings-circuit");

</script>


</body>

</html>